@import "styleguide/breakpoints";

.deposit {
  font-size: 18px;
  border: solid 0.7px var(--partner-border-dark);
  background-color: var(--dark-slate-blue);
  padding: 1.2rem 1.8rem;
  height: 100%;

  @media (max-width: $breakpoint-md) {
    margin-top: 1rem;
  }

  .title {
    font-size: 23px;
    font-weight: 600;
    color: var(--light);
    margin-bottom: 1.2rem;
  }

  .maxContainer {
    padding-left: 0;

    button:disabled {
      background-color: transparent;
      color: var(--greenish-grey);
    }
  }

  .valueInputGroup {
    background-color: var(--box-no-style-dark);
    margin: 10px 0 0;
    border: solid 0.7px var(--partner-base-color);

    &:disabled {
      border: solid 0.7px var(--greenish-grey);
      background-color: transparent;
      color: var(--greenish-grey);
    }
  }

  .valueInput {
    height: 52px;
    padding: 14px 16px 16px 14px;
    font-size: 18px;
  }

  .inputContainer {
    display: flex;
    align-items: center;

    .groupInput {
      background-color: var(--box-no-style-dark);
      border: solid 0.7px var(--partner-base-color);

      span {
        background-color: transparent;
        color: var(--greenish-grey);
        border: none;
        font-size: 14px;
      }

      input {
        font-size: 18px;
        padding-right: 60px;

        &.is-valid {
          padding-right: 60px;
        }

        &:disabled {
          border: solid 0.7px var(--greenish-grey);
          background-color: transparent;
          color: var(--greenish-grey);
        }
      }

      input:focus {
        background-color: var(--box-no-style-dark);
        border: solid 1px var(--partner-base-color);
      }

      input:disabled {
        padding: inherit;
      }
    }
  }

  .depositContainer {
    display: flex;
    flex-direction: row;
  }

  .depositRightContainer {
    width: 90%;
  }

  .depositLeftContainer {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding-bottom: 14px;
    flex: 1;
    > div {
      margin-right: 10px;
    }
  }

  .btnOutline,
  .btnSecondary {
    &:disabled {
      border: none;
      pointer-events: none;
    }
  }

  .btnOutline {
    font-size: 15px;
    font-weight: 600;
    color: var(--partner-base-color);
    margin: 0;
    padding: 0.3rem 0;
    border: none;
    box-shadow: none;
  }

  .btnSecondary {
    width: 100%;
    padding-top: 11px;
    padding-bottom: 10px;
    font-size: 18px;
    font-weight: 500;
    margin-top: 1.6rem;
  }
}
